﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication6
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private EmployeeDetails _gdcsource = new EmployeeDetails();

        public EmployeeDetails GDCSource
        {

            get
            {

                return _gdcsource;

            }

            set
            {

                _gdcsource = value;

            }

        }
    }

    public class Employee
    {

        public string Empid { get; set; }
        public string EmpName { get; set; }
        public long Empmobileno { get; set; }
        public string mailid { get; set; }

        public string Companyname { get; set; }
        public string Designation { get; set; }
        public int Years_of_experience { get; set; }
        public int Salary { get; set; }
        public bool status { get; set; }
        public double SalesCredit { get; set; }

        public System.Nullable<System.DateTime> HireDate
        {
            get;
            set;

        }

        

    }
    public class EmployeeDetails : List<Employee>
    {
        public EmployeeDetails()
        {
            this.Add(new Employee()
            {
                Empid = "sf1234",
                Designation = "Software engineer",
                Empmobileno = 8870102777,
                mailid = "albertwilson@syncfusion.com",
                Years_of_experience = 4,
                Salary = 30000,
                EmpName = "Albert",
                SalesCredit = 1.55,
                HireDate = new DateTime(2010, 4, 9, 10, 0, 0),
                status = true,
                Companyname = "Syncfusion",
            });

            this.Add(new Employee()
            {
                Empid = "sf1021",
                Designation = "HR",
                Empmobileno = 8870102344,
                mailid = "tedlawson@syncfusion.com",
                Years_of_experience = 5,
                Salary = 40000,
                HireDate = new DateTime(2009, 9, 25, 10, 0, 0),
                EmpName = "Ted lawson",
                status = false,
                SalesCredit = 1.50,
                Companyname = "Syncfusion",

            });
            this.Add(new Employee()
            {
                Empid = "sf1244",
                Designation = "Software engineer",
                Empmobileno = 88701024565,
                mailid = "kannanmuthu@syncfusion.com",
                Years_of_experience = 1,
                Salary = 16000,
                HireDate = new DateTime(2013, 4, 25, 10, 0, 0),
                EmpName = "kannan",
                SalesCredit = 0.95,
                status = true,
                Companyname = "Syncfusion",

            });
            this.Add(new Employee()
            {
                Empid = "sf1434",
                Designation = "network admin",
                Empmobileno = 8823452777,
                mailid = "rajkumar23@syncfusion.com",
                Years_of_experience = 3,
                Salary = 22000,
                HireDate = new DateTime(2011, 9, 25, 10, 0, 0),
                EmpName = "raj kumar",
                status = true,
                SalesCredit = 1.15,
                Companyname = "Syncfusion",

            });
            this.Add(new Employee()
            {
                Empid = "ibm1010",
                Designation = "Software engineer",
                Empmobileno = 8870802777,
                mailid = "arasumani@cognizant.com",
                Years_of_experience = 3,
                SalesCredit = 1.1025,
                Salary = 30000,
                status = true,
                HireDate = new DateTime(2011, 1, 05, 10, 0, 0),
                EmpName = "arasu",

                Companyname = "IBM",

            });

            this.Add(new Employee()
            {
                Empid = "ibm1234",
                Designation = "Network admin",
                Empmobileno = 9843518144,
                mailid = "ganeshvasanth@cognizant.com",
                Years_of_experience = 5,
                Salary = 45000,
                status = true,
                SalesCredit = 1.6055,
                HireDate = new DateTime(2009, 9, 25, 10, 0, 0),
                EmpName = "ganesh",

                Companyname = "IBM",

            });
            this.Add(new Employee()
            {
                Empid = "ibm1234",
                Designation = " team manager",
                Empmobileno = 9843816144,
                mailid = "priyaanand@cognizant.com",
                Years_of_experience = 5,
                Salary = 45000,
                HireDate = new DateTime(2009, 8, 15, 09, 0, 0),
                EmpName = "priya",
                status = false,
                SalesCredit = 1.7860,
                Companyname = "IBM",

            });
            this.Add(new Employee()
            {
                Empid = "ibm1244",
                Designation = "Network admin",
                Empmobileno = 9843517144,
                mailid = "ashokgiri@cognizant.com",
                Years_of_experience = 5,
                Salary = 45000,
                HireDate = new DateTime(2009, 4, 22, 10, 30, 0),
                EmpName = "ashok",
                status = false,
                SalesCredit = 1.5980,
                Companyname = "IBM",

            });
            //this.Add(new Employee()
            //{
            //    Empid = "tcs1412",
            //    Designation = "Database admin",
            //    Empmobileno = 8124010277,
            //    mailid = "murugaveler@gmail.com",
            //    status = true,
            //    Years_of_experience = 5,
            //    Salary = 45000,
            //    HireDate = new DateTime(2009, 5, 25, 11, 30, 41),
            //    EmpName = "murugavel",

            //    Companyname = "Tata consultancy services",

            //});
            this.Add(new Employee()
            {
                Empid = "ace1477",
                Designation = "Database admin",
                Empmobileno = 8124013477,
                mailid = "manimaranmr@gmail.com",
                Years_of_experience = 10,
                Salary = 45000,
                HireDate = new DateTime(2004, 9, 25, 09, 30, 0),
                EmpName = "manimaran",
                status = false,
                SalesCredit = 1.9550,
                Companyname = "Acer",

            });

            //this.Add(new Employee()
            //{
            //    Empid = "tcs0143",
            //    Designation = "Software Architect",
            //    Empmobileno = 8124013433,
            //    mailid = "abiramigopal@gmail.com",
            //    Years_of_experience = 5,
            //    Salary = 45000,
            //    HireDate = new DateTime(2009,9, 25, 09, 0, 0),
            //    EmpName = "abirami",

            //    Companyname = "Tata consultancy services",

            //});
            this.Add(new Employee()
            {
                Empid = "len2581",
                Designation = "Computer assistant",
                Empmobileno = 7788551234,
                mailid = "mohanravi43@hdfcbank.com",
                Years_of_experience = 3,
                Salary = 18000,
                SalesCredit = 1.4000,
                EmpName = "mohan",
                HireDate = new DateTime(2011, 9, 25, 10, 0, 0),
                Companyname = "Lenovo",

            });
            this.Add(new Employee()
            {
                Empid = "len2341",
                Designation = "Computer assistant",
                Empmobileno = 7788551234,
                mailid = "mohanraj43@hdfcbank.com",
                Years_of_experience = 2,
                Salary = 16000,
                HireDate = new DateTime(2012, 4, 25, 10, 0, 0),
                EmpName = "mohan raj",
                SalesCredit = 1.05,
                Companyname = "Lenovo",

            });
            this.Add(new Employee()
            {
                Empid = "len1534",
                Designation = "Computer assistant",
                Empmobileno = 7788551234,
                mailid = "karthikmurugan@hdfcbank.com",
                Years_of_experience = 3,
                Salary = 20000,
                HireDate = new DateTime(2011, 9, 01, 10, 0, 0),
                EmpName = "karthik",
                SalesCredit = 1.1555,
                Companyname = "Lenovo",

            });
            this.Add(new Employee()
            {
                Empid = "sf1842",
                Designation = "Team leader",
                Empmobileno = 8124736312,
                mailid = "balajisaba@syncfusion.com",
                Years_of_experience = 4,
                Salary = 16000,
                SalesCredit = 1.6045,
                EmpName = "balaji",
                HireDate = new DateTime(2010, 4, 12, 09, 30, 00),
                Companyname = "Syncfusion",

            });

        }
    } 
}
